/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * PrincipalForm.java
 *
 * Created on 29/03/2009, 12:19:00 PM
 */
package com.pmarlen.client.view;

import com.pmarlen.client.ApplicationInfo;
import com.pmarlen.client.BusinessException;
import java.awt.Color;
import java.awt.Image;
import java.awt.event.KeyEvent;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.imageio.ImageIO;
import javax.swing.JLabel;
import javax.swing.JMenuItem;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;

/**
 *
 * @author alfred
 */
public class PrincipalForm extends javax.swing.JFrame {

    private Color defaultSelectionBackground;

    /** Creates new form PrincipalForm */
    public PrincipalForm() {
        initComponents();
        defaultSelectionBackground = detallePedidoTable.getSelectionBackground();
        detallePedidoTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);        
		setTitle(ApplicationInfo.getLocalizedMessage("APP_TITLE"));
        
    }

    public List<Image> getResourcesIconImages() {
        List<Image> imgs = new ArrayList<Image>();
        try {
            imgs.add(ImageIO.read(getClass().getResourceAsStream("/imgs/Logo_1.png")));
            imgs.add(ImageIO.read(getClass().getResourceAsStream("/imgs/pmarlen_icono_2.png")));
        } catch (IOException ex) {
            ex.printStackTrace();
        }

        return imgs;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        tipoPedidoButtonGroup = new javax.swing.ButtonGroup();
        tipoReporteFechas = new javax.swing.ButtonGroup();
        cardPanel = new javax.swing.JPanel();
        visorDePedidoActual = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        detallePedidoTable = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        jPanel26 = new javax.swing.JPanel();
        jPanel12 = new javax.swing.JPanel();
        jPanel11 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        subtotal = new javax.swing.JTextField();
        jPanel9 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        discount = new javax.swing.JTextField();
        jPanel10 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        total = new javax.swing.JTextField();
        jPanel8 = new javax.swing.JPanel();
        recibimosOAprobacion = new javax.swing.JLabel();
        recibimos = new javax.swing.JTextField();
        jPanel16 = new javax.swing.JPanel();
        cambioLabel = new javax.swing.JLabel();
        cambio = new javax.swing.JTextField();
        jPanel27 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        totalArticulos = new javax.swing.JTextField();
        jPanel15 = new javax.swing.JPanel();
        jPanel3 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        cliente = new javax.swing.JComboBox();
        nuevoClienteAComboBox = new javax.swing.JButton();
        jPanel4 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        formaDePago = new javax.swing.JComboBox();
        jPanel6 = new javax.swing.JPanel();
        procederPedidoBtn = new javax.swing.JButton();
        reiniciarPedidoBtn = new javax.swing.JButton();
        jPanel13 = new javax.swing.JPanel();
        buscarCardsPanel = new javax.swing.JPanel();
        panelBuscarProducto = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        codigoBuscar = new javax.swing.JTextField();
        cantidadCBPedida = new javax.swing.JTextField();
        jPanel14 = new javax.swing.JPanel();
        nombreBuscar = new javax.swing.JTextField();
        productoCBEncontrados = new javax.swing.JComboBox();
        cantidadPedida = new javax.swing.JTextField();
        visorDeReportes = new javax.swing.JPanel();
        panelParametrosReporte = new javax.swing.JPanel();
        jPanel21 = new javax.swing.JPanel();
        jPanel20 = new javax.swing.JPanel();
        porFechaHoyRadioBtn = new javax.swing.JRadioButton();
        jPanel23 = new javax.swing.JPanel();
        porIntervaloRadioBtn = new javax.swing.JRadioButton();
        fechaReporteInicio = new javax.swing.JComboBox();
        jLabel12 = new javax.swing.JLabel();
        fechaReporteFin = new javax.swing.JComboBox();
        panleNoTicket = new javax.swing.JPanel();
        porNoDeTicketRadioBtn = new javax.swing.JRadioButton();
        buscarPorNoTicket = new javax.swing.JTextField();
        jPanel22 = new javax.swing.JPanel();
        actualizarReporteBtn = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        tablaReporte = new javax.swing.JTable();
        jPanel5 = new javax.swing.JPanel();
        jPanel25 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        totalReporte = new javax.swing.JTextField();
        jPanel24 = new javax.swing.JPanel();
        generarPDFBtn = new javax.swing.JButton();
        examinarPedidoBtn = new javax.swing.JButton();
        visorDeClientes = new javax.swing.JPanel();
        jScrollPane3 = new javax.swing.JScrollPane();
        clientesTable = new javax.swing.JTable();
        jPanel7 = new javax.swing.JPanel();
        nuevoClienteBtn = new javax.swing.JButton();
        visorChecadorDePrecios = new javax.swing.JPanel();
        jPanel18 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        codigoBarrasBuscar = new javax.swing.JTextField();
        jPanel19 = new javax.swing.JPanel();
        nombreDescripcionEncontrado = new javax.swing.JLabel();
        jPanel17 = new javax.swing.JPanel();
        codigoBarrasEncontrado = new javax.swing.JLabel();
        panelActualizar = new javax.swing.JPanel();
        jLabel10 = new javax.swing.JLabel();
        precioEncontrado = new javax.swing.JTextField();
        cantidadActual = new javax.swing.JLabel();
        cantidadRecargar = new javax.swing.JTextField();
        actualizarPrecionBtn = new javax.swing.JButton();
        visorDeProductos = new javax.swing.JPanel();
        jScrollPane4 = new javax.swing.JScrollPane();
        productosTable = new javax.swing.JTable();
        jPanel28 = new javax.swing.JPanel();
        nuevoProductoBtn = new javax.swing.JButton();
        jPanel29 = new javax.swing.JPanel();
        jLabel15 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        codigoBarrasBuscarEnProductos = new javax.swing.JTextField();
        jPanel2 = new javax.swing.JPanel();
        label1 = new javax.swing.JLabel();
        label2 = new javax.swing.JLabel();
        label3 = new javax.swing.JLabel();
        jMenuBar1 = new javax.swing.JMenuBar();
        fileMenu = new javax.swing.JMenu();
        jMenu1 = new javax.swing.JMenu();
        verVentasXTicket = new javax.swing.JMenuItem();
        verVentasXUsuario = new javax.swing.JMenuItem();
        verVentasXProducto = new javax.swing.JMenuItem();
        viewClientesMenu = new javax.swing.JMenuItem();
        preferncesMenu = new javax.swing.JMenuItem();
        descuentoMayoreo = new javax.swing.JMenuItem();
        viewProductosMenu = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JSeparator();
        exitMenu = new javax.swing.JMenuItem();
        sellingMenu = new javax.swing.JMenu();
        changePedidoNormal = new javax.swing.JRadioButtonMenuItem();
        changePedidoOportunidad = new javax.swing.JRadioButtonMenuItem();
        jSeparator1 = new javax.swing.JPopupMenu.Separator();
        viewDetailMenu = new javax.swing.JMenuItem();
        buscarXCBMenu = new javax.swing.JMenuItem();
        buscarXNombreMenu = new javax.swing.JMenuItem();
        deleteItemPedidoMenu = new javax.swing.JMenuItem();
        jSeparator3 = new javax.swing.JPopupMenu.Separator();
        avoidPedidoMenu = new javax.swing.JMenuItem();
        procederPedidoMenu = new javax.swing.JMenuItem();
        helpMenu = new javax.swing.JMenu();
        acercaDeMenu = new javax.swing.JMenuItem();
        checadorDePreciosMenu = new javax.swing.JMenuItem();
        generadorTarjetasPrecios = new javax.swing.JMenuItem();
        testPrintMenu = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setIconImages(getResourcesIconImages());
        setMinimumSize(new java.awt.Dimension(650, 500));

        cardPanel.setPreferredSize(new java.awt.Dimension(550, 420));
        cardPanel.setLayout(new java.awt.CardLayout());

        visorDePedidoActual.setLayout(new java.awt.BorderLayout());

        jScrollPane1.setPreferredSize(new java.awt.Dimension(320, 220));

        detallePedidoTable.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                detallePedidoTableFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                detallePedidoTableFocusLost(evt);
            }
        });
        detallePedidoTable.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                detallePedidoTableKeyPressed(evt);
            }
        });
        jScrollPane1.setViewportView(detallePedidoTable);

        visorDePedidoActual.add(jScrollPane1, java.awt.BorderLayout.CENTER);

        jPanel1.setPreferredSize(new java.awt.Dimension(256, 190));
        jPanel1.setLayout(new java.awt.GridLayout(2, 1, 5, 0));

        jPanel26.setLayout(new java.awt.BorderLayout());

        jPanel12.setLayout(new java.awt.GridLayout(5, 1));

        jPanel11.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        jLabel7.setText(ApplicationInfo.getLocalizedMessage("LBL_PEDIDO_SUBTOTAL")); // NOI18N
        jPanel11.add(jLabel7);

        subtotal.setColumns(10);
        subtotal.setEditable(false);
        subtotal.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        subtotal.setFocusable(false);
        jPanel11.add(subtotal);

        jPanel12.add(jPanel11);

        jPanel9.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        jLabel5.setText(ApplicationInfo.getLocalizedMessage("LBL_PEDIDO_DISCOUNT")); // NOI18N
        jPanel9.add(jLabel5);

        discount.setColumns(10);
        discount.setEditable(false);
        discount.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        discount.setFocusable(false);
        jPanel9.add(discount);

        jPanel12.add(jPanel9);

        jPanel10.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel6.setText(ApplicationInfo.getLocalizedMessage("LBL_PEDIDO_TOTAL")); // NOI18N
        jPanel10.add(jLabel6);

        total.setColumns(10);
        total.setEditable(false);
        total.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        total.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        total.setFocusable(false);
        jPanel10.add(total);

        jPanel12.add(jPanel10);

        jPanel8.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        recibimosOAprobacion.setText("Recibimos :");
        jPanel8.add(recibimosOAprobacion);

        recibimos.setColumns(10);
        recibimos.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel8.add(recibimos);

        jPanel12.add(jPanel8);

        jPanel16.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        cambioLabel.setText("Su cambio :");
        jPanel16.add(cambioLabel);

        cambio.setColumns(10);
        cambio.setEditable(false);
        cambio.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel16.add(cambio);

        jPanel12.add(jPanel16);

        jPanel26.add(jPanel12, java.awt.BorderLayout.CENTER);

        jPanel27.setPreferredSize(new java.awt.Dimension(200, 29));

        jLabel11.setText("# Articulos :");
        jPanel27.add(jLabel11);

        totalArticulos.setEditable(false);
        totalArticulos.setColumns(4);
        totalArticulos.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel27.add(totalArticulos);

        jPanel26.add(jPanel27, java.awt.BorderLayout.WEST);

        jPanel1.add(jPanel26);

        jPanel15.setLayout(new java.awt.GridLayout(3, 1));

        jPanel3.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText(ApplicationInfo.getLocalizedMessage("LABEL_CLIENTE")); // NOI18N
        jLabel2.setPreferredSize(new java.awt.Dimension(120, 18));
        jPanel3.add(jLabel2);
        jPanel3.add(cliente);

        nuevoClienteAComboBox.setText(ApplicationInfo.getLocalizedMessage("LABEL_NEWCLIENTE")); // NOI18N
        jPanel3.add(nuevoClienteAComboBox);

        jPanel15.add(jPanel3);

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText(ApplicationInfo.getLocalizedMessage("LABEL_FORMADEPAGO")); // NOI18N
        jLabel3.setPreferredSize(new java.awt.Dimension(120, 18));
        jPanel4.add(jLabel3);
        jPanel4.add(formaDePago);

        jPanel15.add(jPanel4);

        jPanel6.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 25, 0));

        procederPedidoBtn.setText(ApplicationInfo.getLocalizedMessage("LABEL_PROCED")); // NOI18N
        jPanel6.add(procederPedidoBtn);

        reiniciarPedidoBtn.setText(ApplicationInfo.getLocalizedMessage("LABEL_RESET")); // NOI18N
        jPanel6.add(reiniciarPedidoBtn);

        jPanel15.add(jPanel6);

        jPanel1.add(jPanel15);

        visorDePedidoActual.add(jPanel1, java.awt.BorderLayout.SOUTH);

        jPanel13.setLayout(new java.awt.BorderLayout());

        buscarCardsPanel.setLayout(new java.awt.CardLayout());

        panelBuscarProducto.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imgs/barcode_icon_52x24.png"))); // NOI18N
        panelBuscarProducto.add(jLabel4);

        codigoBuscar.setColumns(12);
        panelBuscarProducto.add(codigoBuscar);

        cantidadCBPedida.setColumns(4);
        panelBuscarProducto.add(cantidadCBPedida);

        buscarCardsPanel.add(panelBuscarProducto, "buscarCBCard");

        jPanel14.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        nombreBuscar.setColumns(15);
        jPanel14.add(nombreBuscar);

        productoCBEncontrados.setMinimumSize(new java.awt.Dimension(500, 22));
        productoCBEncontrados.setPreferredSize(new java.awt.Dimension(550, 22));
        jPanel14.add(productoCBEncontrados);

        cantidadPedida.setColumns(4);
        cantidadPedida.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel14.add(cantidadPedida);

        buscarCardsPanel.add(jPanel14, "buscarNombreCard");

        jPanel13.add(buscarCardsPanel, java.awt.BorderLayout.NORTH);

        visorDePedidoActual.add(jPanel13, java.awt.BorderLayout.NORTH);

        cardPanel.add(visorDePedidoActual, "visorDePedidoActual");

        visorDeReportes.setLayout(new java.awt.BorderLayout());

        panelParametrosReporte.setBorder(javax.swing.BorderFactory.createTitledBorder("Titulo del Reporte"));
        panelParametrosReporte.setLayout(new java.awt.BorderLayout());

        jPanel21.setLayout(new java.awt.GridLayout(3, 1));

        jPanel20.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        tipoReporteFechas.add(porFechaHoyRadioBtn);
        porFechaHoyRadioBtn.setText("El día de hoy");
        jPanel20.add(porFechaHoyRadioBtn);

        jPanel21.add(jPanel20);

        jPanel23.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        tipoReporteFechas.add(porIntervaloRadioBtn);
        porIntervaloRadioBtn.setText("Por intervalo de fechas :");
        jPanel23.add(porIntervaloRadioBtn);
        jPanel23.add(fechaReporteInicio);

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText(" Hasta :");
        jPanel23.add(jLabel12);
        jPanel23.add(fechaReporteFin);

        jPanel21.add(jPanel23);

        panleNoTicket.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        tipoReporteFechas.add(porNoDeTicketRadioBtn);
        porNoDeTicketRadioBtn.setText("Por # de Ticket");
        panleNoTicket.add(porNoDeTicketRadioBtn);

        buscarPorNoTicket.setColumns(12);
        panleNoTicket.add(buscarPorNoTicket);

        jPanel21.add(panleNoTicket);

        panelParametrosReporte.add(jPanel21, java.awt.BorderLayout.CENTER);

        jPanel22.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEADING, 20, 40));

        actualizarReporteBtn.setText("Actualizar");
        jPanel22.add(actualizarReporteBtn);

        panelParametrosReporte.add(jPanel22, java.awt.BorderLayout.EAST);

        visorDeReportes.add(panelParametrosReporte, java.awt.BorderLayout.NORTH);

        tablaReporte.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                tablaReporteFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                tablaReporteFocusLost(evt);
            }
        });
        tablaReporte.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                tablaReporteKeyPressed(evt);
            }
        });
        jScrollPane2.setViewportView(tablaReporte);

        visorDeReportes.add(jScrollPane2, java.awt.BorderLayout.CENTER);

        jPanel5.setLayout(new java.awt.BorderLayout());

        jPanel25.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        jLabel13.setText("Total :");
        jPanel25.add(jLabel13);

        totalReporte.setEditable(false);
        totalReporte.setColumns(10);
        totalReporte.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        totalReporte.setText("$ 0.00");
        jPanel25.add(totalReporte);

        jPanel5.add(jPanel25, java.awt.BorderLayout.NORTH);

        jPanel24.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 20, 5));

        generarPDFBtn.setText("Exportar resultado a PDF");
        jPanel24.add(generarPDFBtn);

        examinarPedidoBtn.setText("Examinar Pedido Venta");
        jPanel24.add(examinarPedidoBtn);

        jPanel5.add(jPanel24, java.awt.BorderLayout.SOUTH);

        visorDeReportes.add(jPanel5, java.awt.BorderLayout.SOUTH);

        cardPanel.add(visorDeReportes, "visorDeReportes");

        visorDeClientes.setLayout(new java.awt.BorderLayout());

        jScrollPane3.setHorizontalScrollBarPolicy(JScrollPane .HORIZONTAL_SCROLLBAR_ALWAYS);

        clientesTable.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
        clientesTable.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                clientesTableFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                clientesTableFocusLost(evt);
            }
        });
        clientesTable.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                clientesTableKeyPressed(evt);
            }
        });
        jScrollPane3.setViewportView(clientesTable);

        visorDeClientes.add(jScrollPane3, java.awt.BorderLayout.CENTER);

        jPanel7.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        nuevoClienteBtn.setText(ApplicationInfo.getLocalizedMessage("LABEL_NEWCLIENTE")); // NOI18N
        jPanel7.add(nuevoClienteBtn);

        visorDeClientes.add(jPanel7, java.awt.BorderLayout.SOUTH);

        cardPanel.add(visorDeClientes, "visorDeClientes");

        visorChecadorDePrecios.setLayout(new java.awt.BorderLayout());

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imgs/barcode_icon_52x24.png"))); // NOI18N
        jPanel18.add(jLabel1);

        codigoBarrasBuscar.setColumns(10);
        jPanel18.add(codigoBarrasBuscar);

        visorChecadorDePrecios.add(jPanel18, java.awt.BorderLayout.NORTH);

        jPanel19.setLayout(new java.awt.BorderLayout(0, 20));

        nombreDescripcionEncontrado.setFont(new java.awt.Font("Dialog", 1, 36)); // NOI18N
        nombreDescripcionEncontrado.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        nombreDescripcionEncontrado.setText("nombre (descripción)");
        jPanel19.add(nombreDescripcionEncontrado, java.awt.BorderLayout.NORTH);

        jPanel17.setLayout(new java.awt.BorderLayout(0, 20));

        codigoBarrasEncontrado.setFont(new java.awt.Font("Dialog", 1, 48)); // NOI18N
        codigoBarrasEncontrado.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        codigoBarrasEncontrado.setText("Ct Pz");
        jPanel17.add(codigoBarrasEncontrado, java.awt.BorderLayout.NORTH);

        jPanel19.add(jPanel17, java.awt.BorderLayout.SOUTH);

        panelActualizar.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 5, 100));

        jLabel10.setFont(new java.awt.Font("Dialog", 1, 48)); // NOI18N
        jLabel10.setText("Precio:");
        panelActualizar.add(jLabel10);

        precioEncontrado.setColumns(4);
        precioEncontrado.setFont(new java.awt.Font("Dialog", 1, 48)); // NOI18N
        precioEncontrado.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        panelActualizar.add(precioEncontrado);

        cantidadActual.setFont(new java.awt.Font("Dialog", 1, 48)); // NOI18N
        cantidadActual.setText("#999+");
        panelActualizar.add(cantidadActual);

        cantidadRecargar.setColumns(2);
        cantidadRecargar.setFont(new java.awt.Font("Dialog", 0, 48)); // NOI18N
        cantidadRecargar.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        panelActualizar.add(cantidadRecargar);

        actualizarPrecionBtn.setFont(new java.awt.Font("Dialog", 1, 48)); // NOI18N
        actualizarPrecionBtn.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imgs/update-icon.png")));
        panelActualizar.add(actualizarPrecionBtn);

        jPanel19.add(panelActualizar, java.awt.BorderLayout.CENTER);

        visorChecadorDePrecios.add(jPanel19, java.awt.BorderLayout.CENTER);

        cardPanel.add(visorChecadorDePrecios, "visorChecadorDePrecios");

        visorDeProductos.setLayout(new java.awt.BorderLayout());

        jScrollPane4.setHorizontalScrollBarPolicy(JScrollPane .HORIZONTAL_SCROLLBAR_ALWAYS);

        productosTable.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
        productosTable.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                productosTableFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                productosTableFocusLost(evt);
            }
        });
        productosTable.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                productosTableKeyPressed(evt);
            }
        });
        jScrollPane4.setViewportView(productosTable);

        visorDeProductos.add(jScrollPane4, java.awt.BorderLayout.CENTER);

        jPanel28.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        nuevoProductoBtn.setText(ApplicationInfo.getLocalizedMessage("LABEL_NEWCLIENTE")); // NOI18N
        nuevoProductoBtn.setEnabled(false);
        jPanel28.add(nuevoProductoBtn);

        visorDeProductos.add(jPanel28, java.awt.BorderLayout.SOUTH);

        jPanel29.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jLabel15.setText("Busqueda rápida de Producto :");
        jPanel29.add(jLabel15);

        jLabel14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imgs/barcode_icon_52x24.png"))); // NOI18N
        jPanel29.add(jLabel14);

        codigoBarrasBuscarEnProductos.setColumns(10);
        jPanel29.add(codigoBarrasBuscarEnProductos);

        visorDeProductos.add(jPanel29, java.awt.BorderLayout.PAGE_START);

        cardPanel.add(visorDeProductos, "visorDeProductos");

        getContentPane().add(cardPanel, java.awt.BorderLayout.CENTER);

        jPanel2.setLayout(new java.awt.GridLayout(1, 3, 1, 1));

        label1.setText(" ");
        label1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
        jPanel2.add(label1);

        label2.setText(" ");
        label2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
        jPanel2.add(label2);

        label3.setText(" ");
        label3.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.LOWERED));
        jPanel2.add(label3);

        getContentPane().add(jPanel2, java.awt.BorderLayout.SOUTH);

        fileMenu.setMnemonic(ApplicationInfo.getLocalizedMessage("APP_MENU_ACCLERATOR_FILE").charAt(0));
        fileMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_FILE")); // NOI18N

        jMenu1.setText("Reportes de Ventas");

        verVentasXTicket.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_VIEW_PEDIDOS")); // NOI18N
        jMenu1.add(verVentasXTicket);

        verVentasXUsuario.setText("Por Usuario");
        jMenu1.add(verVentasXUsuario);

        verVentasXProducto.setText("Por Producto");
        jMenu1.add(verVentasXProducto);

        fileMenu.add(jMenu1);

        viewClientesMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_Q, java.awt.event.InputEvent.CTRL_MASK));
        viewClientesMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_VIEW_CLIENTES")); // NOI18N
        fileMenu.add(viewClientesMenu);

        preferncesMenu.setText("Preferencias");
        fileMenu.add(preferncesMenu);

        descuentoMayoreo.setText("Descuento de Mayoreo");
        fileMenu.add(descuentoMayoreo);

        viewProductosMenu.setText("Catalogo de Productos");
        fileMenu.add(viewProductosMenu);
        fileMenu.add(jSeparator2);

        exitMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F4, java.awt.event.InputEvent.ALT_MASK));
        exitMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_EXIT")); // NOI18N
        fileMenu.add(exitMenu);

        jMenuBar1.add(fileMenu);

        sellingMenu.setMnemonic(ApplicationInfo.getLocalizedMessage("APP_MENU_ACCLERATOR_SALE").charAt(0));
        sellingMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_SALE")); // NOI18N

        tipoPedidoButtonGroup.add(changePedidoNormal);
        changePedidoNormal.setText("Pedido Normal");
        sellingMenu.add(changePedidoNormal);

        tipoPedidoButtonGroup.add(changePedidoOportunidad);
        changePedidoOportunidad.setText("Pedido Oportunidad");
        sellingMenu.add(changePedidoOportunidad);
        sellingMenu.add(jSeparator1);

        viewDetailMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_D, java.awt.event.InputEvent.CTRL_MASK));
        viewDetailMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_DETAIL_PEDIDO")); // NOI18N
        sellingMenu.add(viewDetailMenu);

        buscarXCBMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_B, java.awt.event.InputEvent.CTRL_MASK));
        buscarXCBMenu.setText("Buscar x C.Barras");
        sellingMenu.add(buscarXCBMenu);

        buscarXNombreMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, java.awt.event.InputEvent.CTRL_MASK));
        buscarXNombreMenu.setText("Buscar x Nombre");
        sellingMenu.add(buscarXNombreMenu);

        deleteItemPedidoMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_DELETE, java.awt.event.InputEvent.CTRL_MASK));
        deleteItemPedidoMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_DELTE_PEDIDOITEM")); // NOI18N
        sellingMenu.add(deleteItemPedidoMenu);
        sellingMenu.add(jSeparator3);

        avoidPedidoMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_ESCAPE, java.awt.event.InputEvent.SHIFT_MASK));
        avoidPedidoMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_AVOID_PEDIDO")); // NOI18N
        sellingMenu.add(avoidPedidoMenu);

        procederPedidoMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F1, 0));
        procederPedidoMenu.setText("Proceder Pedido");
        sellingMenu.add(procederPedidoMenu);

        jMenuBar1.add(sellingMenu);

        helpMenu.setMnemonic(ApplicationInfo.getLocalizedMessage("APP_MENU_ACCLERATOR_HELP").charAt(0));
        helpMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_HELP")); // NOI18N

        acercaDeMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_ABOUT")); // NOI18N
        helpMenu.add(acercaDeMenu);

        checadorDePreciosMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F9, 0));
        checadorDePreciosMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_REFERENCE")); // NOI18N
        helpMenu.add(checadorDePreciosMenu);

        generadorTarjetasPrecios.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F11, 0));
        generadorTarjetasPrecios.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_ZOOM")); // NOI18N
        helpMenu.add(generadorTarjetasPrecios);

        testPrintMenu.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_T, java.awt.event.InputEvent.SHIFT_MASK | java.awt.event.InputEvent.CTRL_MASK));
        testPrintMenu.setText(ApplicationInfo.getLocalizedMessage("APP_MENU_TEST_PRINT")); // NOI18N
        helpMenu.add(testPrintMenu);

        jMenuBar1.add(helpMenu);

        setJMenuBar(jMenuBar1);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void detallePedidoTableFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_detallePedidoTableFocusGained
        detallePedidoTable.setSelectionBackground(Color.GREEN);
    }//GEN-LAST:event_detallePedidoTableFocusGained

    private void detallePedidoTableFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_detallePedidoTableFocusLost
        detallePedidoTable.setSelectionBackground(defaultSelectionBackground);
    }//GEN-LAST:event_detallePedidoTableFocusLost

    private void detallePedidoTableKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_detallePedidoTableKeyPressed
        if (evt.getKeyCode() == KeyEvent.VK_ENTER) {
            evt.consume();
        } else if (evt.getKeyCode() == KeyEvent.VK_TAB) {
            evt.consume();
            detallePedidoTable.transferFocus();
        }
    }//GEN-LAST:event_detallePedidoTableKeyPressed

    private void tablaReporteFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_tablaReporteFocusGained
        tablaReporte.setSelectionBackground(Color.GREEN);
    }//GEN-LAST:event_tablaReporteFocusGained

    private void tablaReporteFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_tablaReporteFocusLost
        tablaReporte.setSelectionBackground(defaultSelectionBackground);
    }//GEN-LAST:event_tablaReporteFocusLost

    private void tablaReporteKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_tablaReporteKeyPressed
        if (evt.getKeyCode() == KeyEvent.VK_ENTER) {
            //evt.consume();
        } else if (evt.getKeyCode() == KeyEvent.VK_TAB) {
            evt.consume();
            tablaReporte.transferFocus();
        }
    }//GEN-LAST:event_tablaReporteKeyPressed

    private void clientesTableFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_clientesTableFocusGained
        clientesTable.setSelectionBackground(Color.GREEN);
    }//GEN-LAST:event_clientesTableFocusGained

    private void clientesTableFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_clientesTableFocusLost
        clientesTable.setSelectionBackground(defaultSelectionBackground);
    }//GEN-LAST:event_clientesTableFocusLost

    private void clientesTableKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_clientesTableKeyPressed
        if (evt.getKeyCode() == KeyEvent.VK_ENTER) {
            evt.consume();
        } else if (evt.getKeyCode() == KeyEvent.VK_TAB) {
            evt.consume();
            clientesTable.transferFocus();
        }
    }//GEN-LAST:event_clientesTableKeyPressed

    private void productosTableFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_productosTableFocusGained
        // TODO add your handling code here:
    }//GEN-LAST:event_productosTableFocusGained

    private void productosTableFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_productosTableFocusLost
        // TODO add your handling code here:
    }//GEN-LAST:event_productosTableFocusLost

    private void productosTableKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_productosTableKeyPressed
        // TODO add your handling code here:
    }//GEN-LAST:event_productosTableKeyPressed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuItem acercaDeMenu;
    private javax.swing.JButton actualizarPrecionBtn;
    private javax.swing.JButton actualizarReporteBtn;
    private javax.swing.JMenuItem avoidPedidoMenu;
    private javax.swing.JPanel buscarCardsPanel;
    private javax.swing.JTextField buscarPorNoTicket;
    private javax.swing.JMenuItem buscarXCBMenu;
    private javax.swing.JMenuItem buscarXNombreMenu;
    private javax.swing.JTextField cambio;
    private javax.swing.JLabel cambioLabel;
    private javax.swing.JLabel cantidadActual;
    private javax.swing.JTextField cantidadCBPedida;
    private javax.swing.JTextField cantidadPedida;
    private javax.swing.JTextField cantidadRecargar;
    private javax.swing.JPanel cardPanel;
    private javax.swing.JRadioButtonMenuItem changePedidoNormal;
    private javax.swing.JRadioButtonMenuItem changePedidoOportunidad;
    private javax.swing.JMenuItem checadorDePreciosMenu;
    private javax.swing.JComboBox cliente;
    private javax.swing.JTable clientesTable;
    private javax.swing.JTextField codigoBarrasBuscar;
    private javax.swing.JTextField codigoBarrasBuscarEnProductos;
    private javax.swing.JLabel codigoBarrasEncontrado;
    private javax.swing.JTextField codigoBuscar;
    private javax.swing.JMenuItem deleteItemPedidoMenu;
    private javax.swing.JMenuItem descuentoMayoreo;
    private javax.swing.JTable detallePedidoTable;
    private javax.swing.JTextField discount;
    private javax.swing.JButton examinarPedidoBtn;
    private javax.swing.JMenuItem exitMenu;
    private javax.swing.JComboBox fechaReporteFin;
    private javax.swing.JComboBox fechaReporteInicio;
    private javax.swing.JMenu fileMenu;
    private javax.swing.JComboBox formaDePago;
    private javax.swing.JMenuItem generadorTarjetasPrecios;
    private javax.swing.JButton generarPDFBtn;
    private javax.swing.JMenu helpMenu;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel13;
    private javax.swing.JPanel jPanel14;
    private javax.swing.JPanel jPanel15;
    private javax.swing.JPanel jPanel16;
    private javax.swing.JPanel jPanel17;
    private javax.swing.JPanel jPanel18;
    private javax.swing.JPanel jPanel19;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel20;
    private javax.swing.JPanel jPanel21;
    private javax.swing.JPanel jPanel22;
    private javax.swing.JPanel jPanel23;
    private javax.swing.JPanel jPanel24;
    private javax.swing.JPanel jPanel25;
    private javax.swing.JPanel jPanel26;
    private javax.swing.JPanel jPanel27;
    private javax.swing.JPanel jPanel28;
    private javax.swing.JPanel jPanel29;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JPopupMenu.Separator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JPopupMenu.Separator jSeparator3;
    private javax.swing.JLabel label1;
    private javax.swing.JLabel label2;
    private javax.swing.JLabel label3;
    private javax.swing.JTextField nombreBuscar;
    private javax.swing.JLabel nombreDescripcionEncontrado;
    private javax.swing.JButton nuevoClienteAComboBox;
    private javax.swing.JButton nuevoClienteBtn;
    private javax.swing.JButton nuevoProductoBtn;
    private javax.swing.JPanel panelActualizar;
    private javax.swing.JPanel panelBuscarProducto;
    private javax.swing.JPanel panelParametrosReporte;
    private javax.swing.JPanel panleNoTicket;
    private javax.swing.JRadioButton porFechaHoyRadioBtn;
    private javax.swing.JRadioButton porIntervaloRadioBtn;
    private javax.swing.JRadioButton porNoDeTicketRadioBtn;
    private javax.swing.JTextField precioEncontrado;
    private javax.swing.JMenuItem preferncesMenu;
    private javax.swing.JButton procederPedidoBtn;
    private javax.swing.JMenuItem procederPedidoMenu;
    private javax.swing.JComboBox productoCBEncontrados;
    private javax.swing.JTable productosTable;
    private javax.swing.JTextField recibimos;
    private javax.swing.JLabel recibimosOAprobacion;
    private javax.swing.JButton reiniciarPedidoBtn;
    private javax.swing.JMenu sellingMenu;
    private javax.swing.JTextField subtotal;
    private javax.swing.JTable tablaReporte;
    private javax.swing.JMenuItem testPrintMenu;
    private javax.swing.ButtonGroup tipoPedidoButtonGroup;
    private javax.swing.ButtonGroup tipoReporteFechas;
    private javax.swing.JTextField total;
    private javax.swing.JTextField totalArticulos;
    private javax.swing.JTextField totalReporte;
    private javax.swing.JMenuItem verVentasXProducto;
    private javax.swing.JMenuItem verVentasXTicket;
    private javax.swing.JMenuItem verVentasXUsuario;
    private javax.swing.JMenuItem viewClientesMenu;
    private javax.swing.JMenuItem viewDetailMenu;
    private javax.swing.JMenuItem viewProductosMenu;
    private javax.swing.JPanel visorChecadorDePrecios;
    private javax.swing.JPanel visorDeClientes;
    private javax.swing.JPanel visorDePedidoActual;
    private javax.swing.JPanel visorDeProductos;
    private javax.swing.JPanel visorDeReportes;
    // End of variables declaration//GEN-END:variables

    /**
     * @return the aboutDeMenu
     */
    public javax.swing.JMenuItem getAcercaDeMenu() {
        return acercaDeMenu;
    }

    /**
     * @return the avoidPedidoMenu
     */
    public javax.swing.JMenuItem getAvoidPedidoMenu() {
        return avoidPedidoMenu;
    }

    /**
     * @return the cardPanel
     */
    public javax.swing.JPanel getCardPanel() {
        return cardPanel;
    }


    /**
     * @return the exitMenu
     */
    public javax.swing.JMenuItem getExitMenu() {
        return exitMenu;
    }

    /**
     * @return the label1
     */
    public javax.swing.JLabel getLabel1() {
        return label1;
    }

    /**
     * @return the label2
     */
    public javax.swing.JLabel getLabel2() {
        return label2;
    }

    /**
     * @return the label3
     */
    public javax.swing.JLabel getLabel3() {
        return label3;
    }

    /**
     * @return the referenceMenu
     */
    public javax.swing.JMenuItem getChecadorDePreciosMenu() {
        return checadorDePreciosMenu;
    }

    /**
     * @return the testPrintMenu
     */
    public javax.swing.JMenuItem getTestPrintMenu() {
        return testPrintMenu;
    }

    /**
     * @return the viewDetailMenu
     */
    public javax.swing.JMenuItem getViewDetailMenu() {
        return viewDetailMenu;
    }

    /**
     * @return the zoomMenu
     */
    public javax.swing.JMenuItem getZoomMenu() {
        return generadorTarjetasPrecios;
    }

    /**
     * @return the cliente
     */
    public javax.swing.JComboBox getCliente() {
        return cliente;
    }

    /**
     * @return the detallePedidoTable
     */
    public javax.swing.JTable getDetallePedidoTable() {
        return detallePedidoTable;
    }

    /**
     * @return the formaDePago
     */
    public javax.swing.JComboBox getFormaDePago() {
        return formaDePago;
    }

    /**
     * @return the procederPedidoBtn
     */
    public javax.swing.JButton getProcederPedidoBtn() {
        return procederPedidoBtn;
    }

    /**
     * @return the reiniciarPedidoBtn
     */
    public javax.swing.JButton getReiniciarPedidoBtn() {
        return reiniciarPedidoBtn;
    }

    /**
     * @return the pedidosGuardadosTable
     */
    public javax.swing.JTable getTablaReporte() {
        return tablaReporte;
    }

    /**
     * @return the viewClientesMenu
     */
    public javax.swing.JMenuItem getViewClientesMenu() {
        return viewClientesMenu;
    }

    /**
     * @return the visorDeClientes
     */
    public javax.swing.JPanel getVisorDeClientes() {
        return visorDeClientes;
    }

    /**
     * @return the visorDePedidoActual
     */
    public javax.swing.JPanel getVisorDePedidoActual() {
        return visorDePedidoActual;
    }

    /**
     * @return the visorDePedidosGuardados
     */
    public javax.swing.JPanel getVisorDeReportes() {
        return visorDeReportes;
    }

    /**
     * @return the deleteItemPedidoMenu
     */
    public javax.swing.JMenuItem getDeleteItemPedidoMenu() {
        return deleteItemPedidoMenu;
    }

    /**
     * @return the clientesTable
     */
    public javax.swing.JTable getClientesTable() {
        return clientesTable;
    }

    /**
     * @return the nuevoClienteBtn
     */
    public javax.swing.JButton getNuevoClienteBtn() {
        return nuevoClienteBtn;
    }

    /**
     * @return the nuevoClienteAComboBox
     */
    public javax.swing.JButton getNuevoClienteAComboBox() {
        return nuevoClienteAComboBox;
    }

    /**
     * @return the defaultSelectionBackground
     */
    public Color getDefaultSelectionBackground() {
        return defaultSelectionBackground;
    }

    /**
     * @return the discount
     */
    public javax.swing.JTextField getDiscount() {
        return discount;
    }

    /**
     * @return the fileMenu
     */
    public javax.swing.JMenu getFileMenu() {
        return fileMenu;
    }

    /**
     * @return the sellingMenu
     */
    public javax.swing.JMenu getSellingMenu() {
        return sellingMenu;
    }

    /**
     * @return the subtotal
     */
    public javax.swing.JTextField getSubtotal() {
        return subtotal;
    }

    /**
     * @return the total
     */
    public javax.swing.JTextField getTotal() {
        return total;
    }

    /**
     * @return the productoCBEncontrados
     */
    public javax.swing.JComboBox getProductoCBEncontrados() {
        return productoCBEncontrados;
    }

    /**
     * @return the nombreBuscar
     */
    public javax.swing.JTextField getNombreBuscar() {
        return nombreBuscar;
    }

    /**
     * @return the cantidadPedida
     */
    public javax.swing.JTextField getCantidadPedida() {
        return cantidadPedida;
    }

	/**
	 * @return the codigoBuscar
	 */
	public javax.swing.JTextField getCodigoBuscar() {
		return codigoBuscar;
	}

	/**
	 * @return the cantidadCBPedida
	 */
	public javax.swing.JTextField getCantidadCBPedida() {
		return cantidadCBPedida;
	}

	/**
	 * @return the panelBuscarProducto
	 */
	public javax.swing.JPanel getPanelBuscarProducto() {
		return panelBuscarProducto;
	}

	/**
	 * @return the buscarXCBMenu
	 */
	public javax.swing.JMenuItem getBuscarXCBMenu() {
		return buscarXCBMenu;
	}

	/**
	 * @return the buscarXNombreMenu
	 */
	public javax.swing.JMenuItem getBuscarXNombreMenu() {
		return buscarXNombreMenu;
	}

	/**
	 * @return the buscarCardsPanel
	 */
	public javax.swing.JPanel getBuscarCardsPanel() {
		return buscarCardsPanel;
	}
	
	/**
	 * @return the changePedidoNormal
	 */
	public javax.swing.JMenuItem getChangePedidoNormal() {
		return changePedidoNormal;
	}

	/**
	 * @return the changePedidoOportunidad
	 */
	public javax.swing.JMenuItem getChangePedidoOportunidad() {
		return changePedidoOportunidad;
	}

	/**
	 * @return the cambio
	 */
	public javax.swing.JTextField getCambio() {
		return cambio;
	}

	/**
	 * @return the recibimos
	 */
	public javax.swing.JTextField getRecibimos() {
		return recibimos;
	}

	/**
	 * @return the procederPedidoMenu
	 */
	public javax.swing.JMenuItem getProcederPedidoMenu() {
		return procederPedidoMenu;
	}

	/**
	 * @return the generadorTarjetasPrecios
	 */
	public javax.swing.JMenuItem getGeneradorTarjetasPrecios() {
		return generadorTarjetasPrecios;
	}

	/**
	 * @return the codigoBarrasBuscar
	 */
	public javax.swing.JTextField getCodigoBarrasBuscar() {
		return codigoBarrasBuscar;
	}

	/**
	 * @return the nombreDescripcionEncontrado
	 */
	public javax.swing.JLabel getNombreDescripcionEncontrado() {
		return nombreDescripcionEncontrado;
	}

	/**
	 * @return the precioEncontrado
	 */
	public javax.swing.JTextField getPrecioEncontrado() {
		return precioEncontrado;
	}

	/**
	 * @return the codigoBarrasEncontrado
	 */
	public javax.swing.JLabel getCodigoBarrasEncontrado() {
		return codigoBarrasEncontrado;
	}

	/**
	 * @return the actualizarReporteBtn
	 */
	public javax.swing.JButton getActualizarReporteBtn() {
		return actualizarReporteBtn;
	}

	/**
	 * @return the fechaReporteFin
	 */
	public javax.swing.JComboBox getFechaReporteFin() {
		return fechaReporteFin;
	}

	/**
	 * @return the fechaReporteInicio
	 */
	public javax.swing.JComboBox getFechaReporteInicio() {
		return fechaReporteInicio;
	}

	/**
	 * @return the generarPDFBtn
	 */
	public javax.swing.JButton getGenerarPDFBtn() {
		return generarPDFBtn;
	}

	/**
	 * @return the totalReporte
	 */
	public javax.swing.JTextField getTotalReporte() {
		return totalReporte;
	}

	/**
	 * @return the verVentasXProducto
	 */
	public javax.swing.JMenuItem getVerVentasXProducto() {
		return verVentasXProducto;
	}

	/**
	 * @return the verVentasXTicket
	 */
	public javax.swing.JMenuItem getVerVentasXTicket() {
		return verVentasXTicket;
	}

	/**
	 * @return the verVentasXUsuario
	 */
	public javax.swing.JMenuItem getVerVentasXUsuario() {
		return verVentasXUsuario;
	}

	/**
	 * @return the panelParametrosReporte
	 */
	public javax.swing.JPanel getPanelParametrosReporte() {
		return panelParametrosReporte;
	}

	/**
	 * @return the preferncesMenu
	 */
	public javax.swing.JMenuItem getPreferncesMenu() {
		return preferncesMenu;
	}

	/**
	 * @return the examinarPedidoBtn
	 */
	public javax.swing.JButton getExaminarPedidoBtn() {
		return examinarPedidoBtn;
	}

	/**
	 * @return the porFechaHoyRadioBtn
	 */
	public javax.swing.JRadioButton getPorFechaHoyRadioBtn() {
		return porFechaHoyRadioBtn;
	}

	/**
	 * @return the porIntervaloRadioBtn
	 */
	public javax.swing.JRadioButton getPorIntervaloRadioBtn() {
		return porIntervaloRadioBtn;
	}
	/**
	 * @return the actualizarPrecionBtn
	 */
	public javax.swing.JButton getActualizarPrecioBtn() {
		return actualizarPrecionBtn;
	}	

	/**
	 * @return the panelActualizar
	 */
	public javax.swing.JPanel getPanelActualizar() {
		return panelActualizar;
	}

	/**
	 * @return the totalArticulos
	 */
	public javax.swing.JTextField getTotalArticulos() {
		return totalArticulos;
	}

	/**
	 * @return the productosTable
	 */
	public javax.swing.JTable getProductosTable() {
		return productosTable;
	}

	/**
	 * @return the viewProductosMenu
	 */
	public javax.swing.JMenuItem getViewProductosMenu() {
		return viewProductosMenu;
	}

	/**
	 * @return the visorDeProductos
	 */
	public javax.swing.JPanel getVisorDeProductos() {
		return visorDeProductos;
	}

	/**
	 * @return the codigoBarrasBuscarEnProductos
	 */
	public javax.swing.JTextField getCodigoBarrasBuscarEnProductos() {
		return codigoBarrasBuscarEnProductos;
	}

	/**
	 * @return the recibimosOAprobacion
	 */
	public javax.swing.JLabel getRecibimosOAprobacion() {
		return recibimosOAprobacion;
	}
	
	/**
	 * @return the cambioLabel
	 */
	public javax.swing.JLabel getCambioLabel() {
		return cambioLabel;
	}

	/**
	 * @return the buscarPorNoTicket
	 */
	public javax.swing.JTextField getBuscarPorNoTicket() {
		return buscarPorNoTicket;
	}

	/**
	 * @return the nuevoProductoBtn
	 */
	public javax.swing.JButton getNuevoProductoBtn() {
		return nuevoProductoBtn;
	}

	/**
	 * @return the panleNoTicket
	 */
	public javax.swing.JPanel getPanleNoTicket() {
		return panleNoTicket;
	}

	/**
	 * @return the porNoDeTicketRadioBtn
	 */
	public javax.swing.JRadioButton getPorNoDeTicketRadioBtn() {
		return porNoDeTicketRadioBtn;
	}

	/**
	 * @return the tipoPedidoButtonGroup
	 */
	public javax.swing.ButtonGroup getTipoPedidoButtonGroup() {
		return tipoPedidoButtonGroup;
	}

	/**
	 * @return the tipoReporteFechas
	 */
	public javax.swing.ButtonGroup getTipoReporteFechas() {
		return tipoReporteFechas;
	}

	/**
	 * @return the descuentoMayoreo
	 */	
	public JMenuItem getDescuentoMayoreo() {
		return descuentoMayoreo;
	}

	public JLabel getCantidadActual() {
		return cantidadActual;
	}

	public JTextField getCantidadRecargar() {
		return cantidadRecargar;
	}
	
}
